%define old_ver 1.2.0.20100111
Name:       ibus-table-xingma
Version:    1.2.0.20100305
Release:    2%{?dist}
Summary:    The structural tables for IBus-Table
License:    GPLv3
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus-table >= 1.2
BuildRequires:    ibus-table-devel >= 1.2

Obsoletes:        ibus-table-stroke5 < %{old_ver}, ibus-table-wubi < %{old_ver}
Obsoletes:        ibus-table-xinhua < %{old_ver}, ibus-table-zhengma < %{old_ver}
Provides:         ibus-table-stroke5 = %{version}-%{release}
Provides:         ibus-table-wubi = %{version}-%{release}
Provides:         ibus-table-xinhua = %{version}-%{release}
Provides:         ibus-table-zhengma = %{version}-%{release}

%description
The structural tables for IBus Table, namely Wu, Yong, ZhuYin, ZhuYin Big,
ZiRanMa.

%prep
%setup -q

%build
%configure \
    --prefix=%{_prefix} \
    --disable-static \
    --enable-wu \
    --enable-yong \
    --enable-zhuyin \
    --enable-zhuyinbig \
    --enable-ziranma
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n stroke5.db
%{_bindir}/ibus-table-createdb -i -n wubi86.db
%{_bindir}/ibus-table-createdb -i -n xinhua-ibus.db
%{_bindir}/ibus-table-createdb -i -n zhengma.db

# %find_lang %{name}

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/icons/stroke5.png
%{_datadir}/ibus-table/icons/wubi86.svg
%{_datadir}/ibus-table/icons/xinhua.png
%{_datadir}/ibus-table/icons/zhengma.svg
%{_datadir}/ibus-table/tables/stroke5.db
%{_datadir}/ibus-table/tables/wubi86.db
%{_datadir}/ibus-table/tables/xinhua-ibus.db
%{_datadir}/ibus-table/tables/zhengma.db

%changelog
* Fri Mar 05 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100305-2
- Fix source tag.

* Fri Mar 05 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100305-1
- Upgrade source from upstream.

* Fri Mar 05 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100111-6
- Move index creation at build time.

* Thu Mar 04 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100111-5
- Fixes typo on summary tag.

* Thu Mar 04 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100111-4
- Fixes spelling error of summary.
- Fixes provides and conflicts tags.
- Removed dist tag from changelog.

* Mon Mar 01 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100111-3.fc13
- Redownloaded source.

* Tue Feb 23 2010 Caius 'kaio' Chance <cchance at redhat.com> - 1.2.0.20100111-2.fc13
- Removed ibus from Requires, BuildRequires as ibus-table already required.
- Changed ibus-table to ibus-table-devel on BuildRequires as .pc is repacked.
- Added Provides as per package review fedback.

* Mon Jan 11 2010 Caius 'kaio' Chance <k at kaio.me> - 1.2.0.20100111-1
- The first version.
- Introduce Stroke5, XinHua, ZhengMa.
- Rename into ibus-table-xingma.
